## nx-libs 3.5.0.33-0x2go1+git20180205.776+9.saimaa.1

=== debian/changelog ===
nx-libs (2:3.5.0.33-0x2go1+git20180205.776+9.saimaa.1) stretch; urgency=medium

  * Auto-built Debian stretch (9) package for packages.x2go.org
    repository (Git commit: 415446307c97fae1dd78ea8b61af732907cbfa22).

 -- Jenkins <jenkins@japsand.x2go.org>  Mon, 05 Feb 2018 23:22:51 +0100

nx-libs (2:3.5.0.33-0x2go1) unstable; urgency=low

  [ Mihai Moldovan ]
  * debian/control:
    - Add xkb-data to nxagent's Recommends.
    - Uploaders: add myself. Also, force a rebuild due to the changed
      versioning.
    - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
    - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
      x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
      /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
      nx-libs 3.5.0.33 already.
  * nx-libs.spec:
    - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
      but RPM doesn't support that too well yet.
    - Copy new debian/x2goagent.options file into build environment, analogous
      to what debian/roll-tarballs.sh does.
    - Add new x2goagent.options file to installed file list of x2goagent
      package.
    - Let x2goagent package satisfy x2goagent-virtual.
    - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
      Hopefully just a temporary workaround until
      https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
      https://bugs.centos.org/view.php?id=13779 are resolved.
      Backported from Arctica GH 3.6.x branch.
      v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    - Drop ugly sed hack to push optflags to build system.
    - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
    - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
      x2goagent.options file move.
  * debian/:
    - Add x2goagent.options file for compatibility with x2goserver nightly.
  * debian/roll-tarballs.sh:
    - Copy new debian/x2goagent.options file into real tarball environment.
  * debian/Makefile.nx-libs:
    - Install/destroot new x2goagent.options file.
  * debian/rules:
    - Symlink and remove new debian/x2goagent.options file into/from build
      environment.
  * debian/x2goagent.install:
    - Add new x2goagent.options file.
  * Refresh:
    - 0016_nx-X11_install-location.debian.patch
    - 9900-dxpc-license-history.full+lite.patch
  * nx-X11: use the "old", non-NX header location.
    Affects:
    - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
  * {debian/control,nx-libs.spec}:
    - Add proper dependencies upon xkbcomp for RPM and DEB packages.
      Fixes: #1160.
      Backported from Arctica GH 3.6.x branch.
      v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
  * debian/patches:
    - Refresh all patches. Removes some fuzziness and adds the -p diff option
      to show the C function name in hunk headers.
    - Fixup series file to include previous patch.
  * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
    X cookie.
    Backported from Arctica GH 3.6.x branch.
    v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    Adds:
      - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
  * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
    Fixes: ArcticaProject/nx-libs#536
    Allowing overrides via NX_TEMP and TEMP breaks system using
    pam_tmpdir.so and most server infrastructure expects the location to be
    fixed anyway.
    Backported from Arctica GH 3.6.x branch.
    v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    Adds:
      - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
  * Mid-release fixup:
    - Rename
      debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
      to
      debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full.patch.
    - Split up
      debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch.
      Put server changes into
      debian/patches/1500_all_propagate-optflags-to-subcompone.full.patch
      and keep client changes local to
      debian/patches/1510_all_propagate-optflags-to-subcompone.full+lite.patch.

  [ Mike Gabriel ]
  * debian/libxinerama1.postinst.in:
    + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
      again with X2Go on Debian based systems.
    + Enforce symlink creation for Xinerama et al. library symlinks.
      (Fixes: #757, #758, #760).
  * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
    not libnx-xinerama1).
    Backported from Arctica GH 3.6.x branch.
  * debian/Makefile.nx-libs:
    + Make sure that 'make all' only calls 'make build' and _not_ the global
      '%:' ruleset afterwards.
      Backported from Arctica GH 3.6.x branch.
      v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
  * buildsystem:
    - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
      the nx-X11 build scripts.
      Backported from Arctica GH 3.6.x branch.
      v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
      Adds:
      - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch

  [ Ulrich Sibiller ]
  * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
    Backported from Arctica GH 3.6.x branch.
    v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
    v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    Adds:
    - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch

  [ Oleksandr Shneyder ]
  * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
    Improving non-xrender based browser scrolling behaviour when link type is
    set to ADSL or WAN.
    Backported from Arctica GH 3.6.x branch.
    v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    Adds:
    - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
  * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
    Backported from Arctica GH 3.6.x branch.

