=== debian/control ===
Source: nx-libs
Section: saimaa/x11
Priority: extra
Maintainer: X2Go Developers <x2go-dev@lists.berlios.de>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper (>= 7.0.50~),
 libpng-dev,
 libjpeg-dev,
 zlib1g-dev,
 quilt (>= 0.46-7~),
 libfontconfig1-dev,
 libfontenc-dev,
 libfreetype6-dev,
 libxmltok1-dev,
 libxml2-dev,
 autoconf,
 pkg-config,
 x11proto-core-dev,
 expat,
Build-Conflicts:
 x11proto-kb-dev,
 x11proto-randr-dev,
 x11proto-record-dev,
 x11proto-xinerama-dev,
Standards-Version: 3.9.6
Homepage: http://code.x2go.org/gitweb?p=nx-libs.git;a=summary
Vcs-Git: git://code.x2go.org/nx-libs.git
Vcs-Browser: http://code.x2go.org/gitweb?p=nx-libs.git;a=summary

Package: nx-x11-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
        nxagent (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 (common files)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides all architecture-independent files for nx-X11.

Package: nx-x11proto-core-dev
Section: saimaa/libdevel
Architecture: any
Depends:
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 core wire protocol and auxiliary headers
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the core nx-X11 protocol, and also provides a number of utility headers,
 used to abstract OS-specific functions.

Package: libnx-x11
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libnx-x11-6 (>= ${source:Version}), libnx-x11-6 (<< ${source:Version}.1), 
Description: nx-X11 client-side library (transitional dummy package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package is a transitional dummy package and can be safely removed
 (inducing transition of libnx-x11 to libnx-x11-6).

Package: libnx-x11-6
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 nx-x11-common (>= ${source:Version}), nx-x11-common (<< ${source:Version}.1), 
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
Replaces: nxlibs,
Description: nx-X11 client-side library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the core nx-X11 libraries customized for
 nxagent.

Package: libnx-x11-dev
Provides: libnx-x11-6-dev
Section: saimaa/libdevel
Architecture: any
Breaks: nxlibs-dev (<=3.5.1),
Replaces: nxlibs-dev,
Depends:
 libnx-x11-6 (= ${binary:Version}),
 ${misc:Depends},
Description: nx-X11 client-side library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the development headers for the core nx-X11
 libraries customized for nxagent.

Package: libnx-x11-6-dbg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libnx-x11-6 (= ${binary:Version}),
 ${misc:Depends},
Section: saimaa/debug
Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
Replaces: nx-x11-dbg,
Description: nx-X11 client-side library (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package contains debug symbols for the core nx-X11 libraries
 customized for nxagent.

Package: libnx-xau6
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 authorisation library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the main interface to the nx-X11 authorisation handling,
 which controls authorisation for X connections, both client-side and
 server-side.

Package: libnx-xau-dev
Provides: libnx-xau6-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 libnx-xau6 (= ${binary:Version}),
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 authorisation library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the main interface to the nx-X11 authorisation handling,
 which controls authorisation for X connections, both client-side and
 server-side.
 .
 This package contains the development headers for this library.

Package: libnx-xau6-dbg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libnx-xau6 (= ${binary:Version}),
 ${misc:Depends},
Section: saimaa/debug
Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 authorisation library (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the main interface to the nx-X11 authorisation handling,
 which controls authorisation for X connections, both client-side and
 server-side.
 .
 This package contains debug symbols for this library.

Package: libnx-xcomposite1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Composite extension library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xcomposite provides an X Window System client interface to the Composite
 extension to the X protocol
 .
 The Composite extension allows clients called compositing managers to control
 the final drawing of the screen. Rendering is done into an off-screen buffer.

Package: libnx-xcomposite-dev
Provides: libnx-xcomposite1-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 libnx-xcomposite1 (= ${binary:Version}),
 nx-x11proto-composite-dev (= ${binary:Version}),
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Composite extension library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xcomposite provides an X Window System client interface to the Composite
 extension to the X protocol
 .
 The Composite extension allows clients called compositing managers to control
 the final drawing of the screen. Rendering is done into an off-screen buffer.
 .
 This package contains the development headers for this library.

Package: nx-x11proto-composite-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Composite extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Composite extension in nx-X11, used to let arbitrary client
 programs control drawing of the final image.

Package: libnx-xcomposite1-dbg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libnx-xcomposite1 (= ${binary:Version}),
 ${misc:Depends},
Section: saimaa/debug
Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Composite extension library (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xcomposite provides an X Window System client interface to the Composite
 extension to the X protocol
 .
 The Composite extension allows clients called compositing managers to control
 the final drawing of the screen. Rendering is done into an off-screen buffer.
 .
 This package contains debug symbols for this library.

Package: libnx-xdamage1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 damaged region extension library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xdamage provides an X Window System client interface to the DAMAGE
 extension to the X protocol.
 .
 The Damage extension provides for notification of when on-screen regions have
 been 'damaged' (altered)

Package: libnx-xdamage-dev
Provides: libnx-xdamage1-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 libnx-xdamage1 (= ${binary:Version}),
 nx-x11proto-damage-dev (= ${binary:Version}),
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 damaged region extension library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xdamage provides an X Window System client interface to the DAMAGE
 extension to the X protocol.
 .
 The Damage extension provides for notification of when on-screen regions have
 been 'damaged' (altered)
 .
 This package contains the development headers for this library.

Package: nx-x11proto-damage-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Damage extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Damage extension in nx-X11, used to notify clients of changes
 made to particular areas.

Package: libnx-xdamage1-dbg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libnx-xdamage1 (= ${binary:Version}),
 ${misc:Depends},
Section: saimaa/debug
Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 damaged region extension library (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xdamage provides an X Window System client interface to the DAMAGE
